Pāriet uz saturu

Product services

Services included in the booking form of a unit

The product service object

Attributes

iduuid

Unique identifier

product_iduuid
products.id

Identifier of the related unit

service_iduuid
services.id

Identifier of the related service

created_atread-onlytimestamp with time zone

Creation timestamp

updated_atread-onlytimestamp with time zone

Last modification timestamp

orderinteger

Order of the service in the booking form of the unit

Related resources

Embed related resources in the response with the select parameter, for example select=*,products(*). Resources related through more than one column need the column as a hint, like table!column(*).

products(*)object | null
products

The product referenced by product_id.

services(*)object | null
services

The service referenced by service_id.

The product service object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "product_id": "00000000-0000-0000-0000-000000000000",
  "service_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T22:26:24.999Z",
  "updated_at": "2026-10-30T22:26:24.999Z",
  "order": 0
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/product_services?limit=10&select=*,products(*),services(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List product services

Filters

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

service_idFilter<uuid>
services.id

Identifier of the related service

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

orderFilter<integer>

Order of the service in the booking form of the unit

Responses

200

A list of product services with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /product_services
curl -X GET "https://api.bookingmood.com/v1/product_services?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "service_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:26:24.999Z",
    "updated_at": "2026-10-30T22:26:24.999Z",
    "order": 0
  }
]

Create product services

Body

Partial<ProductService> | Array<Partial<ProductService>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created product services with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST /product_services
curl -X POST "https://api.bookingmood.com/v1/product_services" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "order": 0,
    "product_id": "00000000-0000-0000-0000-000000000000",
    "service_id": "00000000-0000-0000-0000-000000000000"
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "service_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:26:24.999Z",
    "updated_at": "2026-10-30T22:26:24.999Z",
    "order": 0
  }
]

Delete product services

Filters

Without filters, this request deletes all product services you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

service_idFilter<uuid>
services.id

Identifier of the related service

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

orderFilter<integer>

Order of the service in the booking form of the unit

Responses

200

The deleted product services with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE /product_services
curl -X DELETE "https://api.bookingmood.com/v1/product_services?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "service_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:26:24.999Z",
    "updated_at": "2026-10-30T22:26:24.999Z",
    "order": 0
  }
]

Update product services

Filters

Without filters, this request updates all product services you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

service_idFilter<uuid>
services.id

Identifier of the related service

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

orderFilter<integer>

Order of the service in the booking form of the unit

Body

Partial<ProductService>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated product services with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH /product_services
curl -X PATCH "https://api.bookingmood.com/v1/product_services?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "order": 0
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "service_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:26:24.999Z",
    "updated_at": "2026-10-30T22:26:24.999Z",
    "order": 0
  }
]

Pārņemiet kontroli pār saviem rezervējumiem. Izveidojiet savu uzņēmumu.

Pievienojieties 1200+ neatkarīgajiem brīvdienu mājokļu izīrētājiem, kuri izmanto „Bookingmood“, lai palielinātu tiešo rezervāciju skaitu un veidotu ciešākas attiecības ar viesiem.

Sākt bezmaksas 14 dienas izmēģinājuma versiju